# FaceAngle
Оценка угла поворота головы на изображении.

## Структура проекта
```
├── .dvc                 <- Конфигурационные файлы для связи с удалённым хранилищем данных.
├── data              <- Директория, содержащая файлы датасета по каждой персоне.
│   ├── radik
|   |   ├── biovectors         <- Таблицы с биовекторами по каждому видеоролику.
|   |   └── clips              <- Видеоролики, снятые в рамках персоны.
|   ...
|   |
│   └── synthface.csv          <- Таблица с расположением видеороликов и таблиц векторов по каждой персоне.
├── models               <- Трёхмерные модели персон.
│   ├── radik
|   |   ├── base_photos        <- Фотографии, на базе которых была создана текстура модели.
|   |   └── radik.blend        <- Трёхмерная модель персоны.
│   └── base.blend             <- Базовая трёхмерная модель головы человека.
├── reports              <- Отчётные материалы, выполненные в рамках проекта.
├── scripts              <- Скрипты для модификации и создания датасета.
│   ├── create_clips.py        <- Создание серии видеороликов в рамках одной персоны. 
│   ├── create_dataset.py      <- Создание общей таблицы с расположением видеороликов и таблиц биовекторов по всему набору данных.
│   └── extract_biovectors.py  <- Скрипт для получения биовекторов из лиц на кадрах видеороликов.
├── .dvcignore           <- Файлы, которые не будут загружаться на удалённое хранилище.
├── .gitignore           <- Файлы, которые не будут загружаться на удалённый репозиторий.
├── dataset.dvc          <- DVC-файл для загрузки датасета.
├── dvc.lock             <- Файл с метаданными DVC.
├── dvc.yaml             <- Пайплайн для создания датасета с добавлением или модификацией персоны.
├── models.dvc           <- DVC-файл для загрузки трёхмерных моделей.
├── params.yaml          <- Параметры модификации датасета.
├── poetry.lock          <- Зависимости проекта.
├── pyproject.toml       <- Описание необходимых библиотек.
└── README.md            <- Описание для разработчиков.

```